/* $Id: auth_hooks.c,v 1.3 2008/04/29 09:09:51 tho Exp $ */

#include <klone/klone.h>
#include <u/libu.h>

u_pwd_t *g_pwd = NULL;

static char *embfs_fgets (char *str, int size, void *stream);

/* load password file form the embedded file system */
int auth_init (void)
{
    const char *pwd_name = "/etc/passwd"; /* we could also get passwd name 
                                             from config (ctx->config) */

    dbg_err_if (u_pwd_init_agnostic(pwd_name, 1, 0, &g_pwd));

    return 0;
err:
    return ~0;
}
 
int auth_term (void)
{
    u_pwd_term(g_pwd);
}

void hooks_setup (void)
{
    hook_server_init(auth_init);
    hook_server_term(auth_term);
    return;
}
